> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--artifact/types/objects/unscanned-artifact.md).

# unscannedArtifact

Unscanned artifact information.

### Examples

```graphql
type UnscannedArtifact {
  id: String
  artifactId: String
  registryType: String
  registryName: String
  registryLink: String
  imageName: String
  imageTags: [String]
  imageCreationDate: String
  imageDigest: String
  reason: String
  error: String
  scanId: String
  cloudData: [CloudArtifactData]
}
```

### Fields

| Field                                                                                                                  | Description                                 | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| ---------------------------------------------------------------------------------------------------------------------- | ------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id `String`                                                                                                            | Unique identifier of the unscanned artifact |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| artifactId `String`                                                                                                    | Unique identifier of the artifact           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| registryType `String`                                                                                                  | Type of the registry                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| registryName `String`                                                                                                  | Name of the registry                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| registryLink `String`                                                                                                  | Link to the registry                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| imageName `String`                                                                                                     | Name of the image                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| imageTags `[String]`                                                                                                   | Tags of the image                           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| imageCreationDate `String`                                                                                             | Creation date of the image                  |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| imageDigest `String`                                                                                                   | Digest of the image                         |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| reason `String`                                                                                                        | Reason for the unscanned artifact           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| error `String`                                                                                                         | Error message for the unscanned artifact    |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| scanId `String`                                                                                                        | Scan identifier                             |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| cloudData [`[CloudArtifactData]`](/api-documentation/api-reference/api--artifact/types/objects/cloud-artifact-data.md) | Cloud data for the unscanned artifact       | <p>cloudIdentifier <code>String</code><br>link <code>String</code><br>lastExecutionTime <code>Float</code><br>lastModifiedTime <code>Float</code><br>account <code>String</code><br>accountName <code>String</code><br>zone <code>String</code><br>cluster <code>String</code><br>namespace <code>String</code><br>runtimeImageTag <code>String</code><br>instanceId <code>String</code><br>customAttributes <a href="/pages/n50MTl3TaCdh8hCrgJVd"><code>\[CustomAttribute]</code></a><br>k8sLabels <code>\[String]</code><br>cloudDescription <a href="/pages/RYVBhq0rCMpXGCXptnJT"><code>CloudDescription</code></a></p> |

### References

#### Queries using this object:

* [\<?> getUnscannedArtifact](/api-documentation/api-reference/api--artifact/queries/get-unscanned-artifact.md)

#### Fields with this object:

* [{} UnscannedArtifactsResponse.unscannedArtifacts](/api-documentation/api-reference/api--artifact/types/objects/unscanned-artifacts-response.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--artifact/types/objects/unscanned-artifact.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
